/elevenlabs-voices | Type: Application | PCID required: Yes
Tools
elevenlabs_voices_add_sharing_voice
Add Shared Voice Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
public_user_id | string | Yes | — | Public user ID used to publicly identify ElevenLabs users. |
voice_id | string | Yes | — | Voice ID to be used, you can use https://api.elevenlabs.io/v1/voices to list all the available voices. |
bookmarked | boolean | No | — | The bookmarked value |
new_name | string | Yes | — | The name that identifies this voice. This will be displayed in the dropdown of the website. |
elevenlabs_voices_add_voice
Add Voice Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
description | object | No | — | A description of the voice. |
files | any[] | Yes | — | A list of file paths to audio recordings intended for voice cloning. |
labels | object | No | — | Labels for the voice. Keys can be language, accent, gender, or age. |
name | string | Yes | — | The name that identifies this voice. This will be displayed in the dropdown of the website. |
remove_background_noise | boolean | No | — | If set will remove background noise for voice samples using our audio isolation model. If the samples do not include background noise, it can make the quality worse. |
elevenlabs_voices_create_voice
Create A New Voice From Voice Preview Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
generated_voice_id | string | Yes | — | The generated_voice_id to create, call POST /v1/text-to-voice/create-previews and fetch the generated_voice_id from the response header if don’t have one yet. |
labels | object | No | — | Optional, metadata to add to the created voice. Defaults to None. |
played_not_selected_voice_ids | object | No | — | List of voice ids that the user has played but not selected. Used for RLHF. |
voice_description | string | Yes | — | Description to use for the created voice. |
voice_name | string | Yes | — | Name to use for the created voice. |
elevenlabs_voices_delete_sample
Delete Sample Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
voice_id | string | Yes | — | Voice ID to be used, you can use https://api.elevenlabs.io/v1/voices to list all the available voices. |
sample_id | string | Yes | — | Sample ID to be used, you can use GET https://api.elevenlabs.io/v1/voices/{voice_id} to list all the available samples for a voice. |
elevenlabs_voices_delete_voice
Delete Voice Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
voice_id | string | Yes | — | Voice ID to be used, you can use https://api.elevenlabs.io/v1/voices to list all the available voices. |
elevenlabs_voices_edit_voice
Edit Voice Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
voice_id | string | Yes | — | Voice ID to be used, you can use https://api.elevenlabs.io/v1/voices to list all the available voices. |
description | object | No | — | A description of the voice. |
files | any[] | No | — | Audio files to add to the voice |
labels | object | No | — | Labels for the voice. Keys can be language, accent, gender, or age. |
name | string | Yes | — | The name that identifies this voice. This will be displayed in the dropdown of the website. |
remove_background_noise | boolean | No | — | If set will remove background noise for voice samples using our audio isolation model. If the samples do not include background noise, it can make the quality worse. |
elevenlabs_voices_edit_voice_settings
Edit Voice Settings Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
voice_id | string | Yes | — | Voice ID to be used, you can use https://api.elevenlabs.io/v1/voices to list all the available voices. |
similarity_boost | object | No | — | Determines how closely the AI should adhere to the original voice when attempting to replicate it. |
speed | object | No | — | Adjusts the speed of the voice. A value of 1.0 is the default speed, while values less than 1.0 slow down the speech, and values greater than 1.0 speed it up. |
stability | object | No | — | Determines how stable the voice is and the randomness between each generation. Lower values introduce broader emotional range for the voice. Higher values can result in a monotonous voice with limited emotion. |
style | object | No | — | Determines the style exaggeration of the voice. This setting attempts to amplify the style of the original speaker. It does consume additional computational resources and might increase latency if set to anything other than 0. |
use_speaker_boost | object | No | — | This setting boosts the similarity to the original speaker. Using this setting requires a slightly higher computational load, which in turn increases latency. |
elevenlabs_voices_get_audio_from_sample
Get Audio From Sample Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
voice_id | string | Yes | — | Voice ID to be used, you can use https://api.elevenlabs.io/v1/voices to list all the available voices. |
sample_id | string | Yes | — | Sample ID to be used, you can use GET https://api.elevenlabs.io/v1/voices/{voice_id} to list all the available samples for a voice. |
elevenlabs_voices_get_library_voices
Get Voices Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
page_size | integer | No | — | How many shared voices to return at maximum. Can not exceed 100, defaults to 30. |
category | object | No | — | Voice category used for filtering |
gender | object | No | — | Gender used for filtering |
age | object | No | — | Age used for filtering |
accent | object | No | — | Accent used for filtering |
language | object | No | — | Language used for filtering |
locale | object | No | — | Locale used for filtering |
search | object | No | — | Search term used for filtering |
use_cases | object | No | — | Use-case used for filtering |
descriptives | object | No | — | Search term used for filtering |
featured | boolean | No | — | Filter featured voices |
min_notice_period_days | object | No | — | Filter voices with a minimum notice period of the given number of days. |
include_custom_rates | object | No | — | Include/exclude voices with custom rates |
include_live_moderated | object | No | — | Include/exclude voices that are live moderated |
reader_app_enabled | boolean | No | — | Filter voices that are enabled for the reader app |
owner_id | object | No | — | Filter voices by public owner ID |
sort | object | No | — | Sort criteria |
page | integer | No | — | Page number for pagination |
elevenlabs_voices_get_models
Get Modelselevenlabs_voices_get_similar_library_voices
Get Similar Library Voices Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
audio_file | string | No | — | Audio File |
similarity_threshold | object | No | — | Threshold for voice similarity between provided sample and library voices. Values range from 0 to 2. The smaller the value the more similar voices will be returned. |
top_k | object | No | — | Number of most similar voices to return. If similarity_threshold is provided, less than this number of voices may be returned. Values range from 1 to 100. |
elevenlabs_voices_get_user_info
Get User Infoelevenlabs_voices_get_user_subscription_info
Get User Subscription Infoelevenlabs_voices_get_user_voices_v2
Get Voices V2 Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
next_page_token | object | No | — | The next page token to use for pagination. Returned from the previous request. Use this in combination with the has_more flag for reliable pagination. |
page_size | integer | No | — | How many voices to return at maximum. Can not exceed 100, defaults to 10. Page 0 may include more voices due to default voices being included. |
search | object | No | — | Search term to filter voices by. Searches in name, description, labels, category. |
sort | object | No | — | Which field to sort by, one of ‘created_at_unix’ or ‘name’. ‘created_at_unix’ may not be available for older voices. |
sort_direction | object | No | — | Which direction to sort the voices in. ‘asc’ or ‘desc’. |
voice_type | object | No | — | Type of the voice to filter by. One of ‘personal’, ‘community’, ‘default’, ‘workspace’, ‘non-default’, ‘saved’. ‘non-default’ is equal to all but ‘default’. ‘saved’ is equal to non-default, but includes default voices if they have been added to a collection. |
category | object | No | — | Category of the voice to filter by. One of ‘premade’, ‘cloned’, ‘generated’, ‘professional’ |
fine_tuning_state | object | No | — | State of the voice’s fine tuning to filter by. Applicable only to professional voices clones. One of ‘draft’, ‘not_verified’, ‘not_started’, ‘queued’, ‘fine_tuning’, ‘fine_tuned’, ‘failed’, ‘delayed’ |
collection_id | object | No | — | Collection ID to filter voices by. |
include_total_count | boolean | No | — | Whether to include the total count of voices found in the response. NOTE: The total_count value is a live snapshot and may change between requests as users create, modify, or delete voices. For pagination, rely on the has_more flag instead. Only enable this when you actually need the total count (e.g., for display purposes), as it incurs a performance cost. |
voice_ids | object | No | — | Voice IDs to lookup by. Maximum 100 voice IDs. |
elevenlabs_voices_get_voice_by_id
Get Voice Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
voice_id | string | Yes | — | Voice ID to be used, you can use https://api.elevenlabs.io/v1/voices to list all the available voices. |
with_settings | boolean | No | — | This parameter is now deprecated. It is ignored and will be removed in a future version. |
elevenlabs_voices_get_voice_settings
Get Voice Settings Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
voice_id | string | Yes | — | Voice ID to be used, you can use https://api.elevenlabs.io/v1/voices to list all the available voices. |
elevenlabs_voices_get_voice_settings_default
Get Default Voice Settings.elevenlabs_voices_get_voices
List Voices Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
show_legacy | object | No | — | If set to true, legacy premade voices will be included in responses from /v1/voices |
elevenlabs_voices_text_to_voice
Generate A Voice Preview From Description Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
output_format | string | No | — | Output format of the generated audio. Formatted as codec_sample_rate_bitrate. So an mp3 with 22.05kHz sample rate at 32kbs is represented as mp3_22050_32. MP3 with 192kbps bitrate requires you to be subscribed to Creator tier or above. PCM with 44.1kHz sample rate requires you to be subscribed to Pro tier or above. Note that the μ-law format (sometimes written mu-law, often approximated as u-law) is commonly used for Twilio audio inputs. |
auto_generate_text | boolean | No | — | Whether to automatically generate a text suitable for the voice description. |
guidance_scale | number | No | — | Controls how closely the AI follows the prompt. Lower numbers give the AI more freedom to be creative, while higher numbers force it to stick more to the prompt. High numbers can cause voice to sound artificial or robotic. We recommend to use longer, more detailed prompts at lower Guidance Scale. |
loudness | number | No | — | Controls the volume level of the generated voice. -1 is quietest, 1 is loudest, 0 corresponds to roughly -24 LUFS. |
quality | number | No | — | Higher quality results in better voice output but less variety. |
seed | object | No | — | Random number that controls the voice generation. Same seed with same inputs produces same voice. |
should_enhance | boolean | No | — | Whether to enhance the voice description using AI to add more detail and improve voice generation quality. When enabled, the system will automatically expand simple prompts into more detailed voice descriptions. Defaults to False |
text | object | No | — | Text to generate, text length has to be between 100 and 1000. |
voice_description | string | Yes | — | Description to use for the created voice. |
elevenlabs_voices_text_to_voice_design
Design A Voice. Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
output_format | string | No | — | Output format of the generated audio. Formatted as codec_sample_rate_bitrate. So an mp3 with 22.05kHz sample rate at 32kbs is represented as mp3_22050_32. MP3 with 192kbps bitrate requires you to be subscribed to Creator tier or above. PCM with 44.1kHz sample rate requires you to be subscribed to Pro tier or above. Note that the μ-law format (sometimes written mu-law, often approximated as u-law) is commonly used for Twilio audio inputs. |
auto_generate_text | boolean | No | — | Whether to automatically generate a text suitable for the voice description. |
guidance_scale | number | No | — | Controls how closely the AI follows the prompt. Lower numbers give the AI more freedom to be creative, while higher numbers force it to stick more to the prompt. High numbers can cause voice to sound artificial or robotic. We recommend to use longer, more detailed prompts at lower Guidance Scale. |
loudness | number | No | — | Controls the volume level of the generated voice. -1 is quietest, 1 is loudest, 0 corresponds to roughly -24 LUFS. |
model_id | string | No | — | Model to use for the voice generation. Possible values: eleven_multilingual_ttv_v2, eleven_ttv_v3. |
prompt_strength | object | No | — | Controls the balance of prompt versus reference audio when generating voice samples. 0 means almost no prompt influence, 1 means almost no reference audio influence. Only supported when using the eleven_ttv_v3 model. |
quality | object | No | — | Higher quality results in better voice output but less variety. |
reference_audio_base64 | object | No | — | Reference audio to use for the voice generation. The audio should be base64 encoded. Only supported when using the eleven_ttv_v3 model. |
remixing_session_id | object | No | — | The remixing session id. |
remixing_session_iteration_id | object | No | — | The id of the remixing session iteration where these generations should be attached to. If not provided, a new iteration will be created. |
seed | object | No | — | Random number that controls the voice generation. Same seed with same inputs produces same voice. |
should_enhance | boolean | No | — | Whether to enhance the voice description using AI to add more detail and improve voice generation quality. When enabled, the system will automatically expand simple prompts into more detailed voice descriptions. Defaults to False |
stream_previews | boolean | No | — | Determines whether the Text to Voice previews should be included in the response. If true, only the generated IDs will be returned which can then be streamed via the /v1/text-to-voice/:generated_voice_id/stream endpoint. |
text | object | No | — | Text to generate, text length has to be between 100 and 1000. |
voice_description | string | Yes | — | Description to use for the created voice. |
elevenlabs_voices_text_to_voice_preview_stream
Text To Voice Preview Streaming Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
generated_voice_id | string | Yes | — | The generated_voice_id to stream. |
elevenlabs_voices_text_to_voice_remix
Remix A Voice. Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
voice_id | string | Yes | — | Voice ID to be used, you can use https://api.elevenlabs.io/v1/voices to list all the available voices. |
output_format | string | No | — | Output format of the generated audio. Formatted as codec_sample_rate_bitrate. So an mp3 with 22.05kHz sample rate at 32kbs is represented as mp3_22050_32. MP3 with 192kbps bitrate requires you to be subscribed to Creator tier or above. PCM with 44.1kHz sample rate requires you to be subscribed to Pro tier or above. Note that the μ-law format (sometimes written mu-law, often approximated as u-law) is commonly used for Twilio audio inputs. |
auto_generate_text | boolean | No | — | Whether to automatically generate a text suitable for the voice description. |
guidance_scale | number | No | — | Controls how closely the AI follows the prompt. Lower numbers give the AI more freedom to be creative, while higher numbers force it to stick more to the prompt. High numbers can cause voice to sound artificial or robotic. We recommend to use longer, more detailed prompts at lower Guidance Scale. |
loudness | number | No | — | Controls the volume level of the generated voice. -1 is quietest, 1 is loudest, 0 corresponds to roughly -24 LUFS. |
prompt_strength | object | No | — | Controls the balance of prompt versus reference audio when generating voice samples. 0 means almost no prompt influence, 1 means almost no reference audio influence. Only supported when using the eleven_ttv_v3 model. |
remixing_session_id | object | No | — | The remixing session id. |
remixing_session_iteration_id | object | No | — | The id of the remixing session iteration where these generations should be attached to. If not provided, a new iteration will be created. |
seed | object | No | — | Random number that controls the voice generation. Same seed with same inputs produces same voice. |
stream_previews | boolean | No | — | Determines whether the Text to Voice previews should be included in the response. If true, only the generated IDs will be returned which can then be streamed via the /v1/text-to-voice/:generated_voice_id/stream endpoint. |
text | object | No | — | Text to generate, text length has to be between 100 and 1000. |
voice_description | string | Yes | — | Description of the changes to make to the voice. |

